Bug 17038 - search.pl is vulnerable to XSS attacks
Summary: search.pl is vulnerable to XSS attacks
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2016-08-03 13:27 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17038: Fix XSS in catalogue/search.pl (1.40 KB, patch)
2016-08-03 13:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17038: Fix XSS in catalogue/search.pl (1.46 KB, patch)
2016-08-03 22:37 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 17038: Fix XSS in catalogue/search.pl (1.52 KB, patch)
2016-08-07 09:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-03 13:27:21 UTC
Reported by Dionach.
Comment 1 Jonathan Druart 2016-08-03 13:28:59 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-08-03 22:37:06 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-07 09:59:49 UTC
Created attachment 54111 [details] [review]
[PASSED QA] Bug 17038: Fix XSS in catalogue/search.pl

Test plan:
Search for something like:
  \";alert(1)//135

=> Without this patch you will see the alert
=> With this patch, no more alert

Note that this fix the parameters idx, q and op

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-08-10 13:21:29 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Chris Cormack 2016-08-22 19:40:22 UTC
Pushed to 3.20.x will be in 3.20.14, leaving as pushed to master for the other rmaints
Comment 6 Frédéric Demians 2016-08-23 09:32:19 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 7 Julian Maurice 2016-08-23 14:23:28 UTC
Pushed to 3.22.x, will be in 3.22.10